%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion  %{version}%{?namedreltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.3.1-redhat-1

Name:           jettison
Version:        1.3.1
Release:        2%{?reltag}.1%{?dist}
Epoch:          0
Summary:        JSON StAX Implementation
License:        ASL 2.0
Group:          Text Processing/Markup/XML

%if %with mead
Source100: org.codehaus.jettison-jettison-1.3.1-redhat-1-sources.zip
Source101: org.codehaus.jettison-jettison-1.3.1-redhat-1-patches.zip
Source102: jettison-1.3.1-redhat-1-javadoc.jar
Source103: jettison-1.3.1-redhat-1.jar
Source104: jettison-1.3.1-redhat-1.pom
%endif

URL:            http://jettison.codehaus.org


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Jettison is a collection of StAX parsers and writers which 
read and write JSON. This allows nearly transparent 
enablement of JSON based web services in services 
frameworks like CXF.

There are currently two included conventions for mapping 
JSON to XML. The first, is BadgerFish which implements the 
full XML infoset in JSON using various techniques. 
The second, is called the "mapped" convention. It allows 
you to manually map XML namespaces to JSON element prefixes.
Jettison was developed for usage in XFire and CXF to enable 
JSON based services.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
Javadoc for %{name}

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
#%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#poms
%add_to_maven_depmap org.codehaus.jettison %{name} %{namedversion} JPP/%{name} ${artifactId}
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}


%changelog
* Mon Mar 19 2012 Hui Wang <huwang@redhat.com> 0:1.3.1-2_redhat_1.1
- New wrapper
- Fix install patch

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> 0:1.3.1-1_redhat_1
- upgrade to 1.3.1
- clean build
- rpm build from mead build

* Wed Nov 30 2011 Lin Gao <lgao@redhat.com> 0:1.2-4_redhat_1
- mead build
- werewolf phrase build

* Fri Apr 29 2011 Fernando Nasser <fnasser@redhat.com> 0:1.2-3
- Upgrade to 1.2

* Fri Dec 3 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.1-1.7
- Rebuild

* Thu Nov 25 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.1-1.6
- Fix upload.sh to have packaging=jar

* Wed Nov 22 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.1-1.5
- Build with Maven 2.2.1
- Add upload.sh and jettison.pom to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin
- Add the line to find and remove any binaries
- add BR  codehaus-stax11-api

* Thu Aug 05 2010 David Walluck <dwalluck@redhat.com> 0:1.1-1.4
- fix name of installed pom
- add manually created src jar to package
- build with maven2
- remove spurious dependency on jakarta-slide-webdavclient
- remove spurious dependency on jetty5
- remove spurious dependency on servletapi5
- remove spurious dependency on xml-commons-jaxp-1.3-apis
- remove spurious dependency on xstream

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1-1.3.1
- rebuilt

* Wed Apr 07 2010 Hui Wang <huwang@redhat.com> 0:1.1-1.3
- Rebuild

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:1.1-1.2
- bump release

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:1.1-1.1
- use stax_1_0_api
- fix gcj_support and repolib options

* Thu Jul 16 2009 Yong Yang <yyang@redhat.com> 0:1.1-1
- Upgrade to 1.1
- Add "BuildRequires: wstx" and add jpp-depmap for wstx-asl

* Thu Feb 05 2009 Martha Benitez <mbenitez@redhat.com>
- Change export stax_1_0_api to bea-stax-api
- Comment out jetty5
- Add BR xstream

* Mon Jan 12 2009 David Walluck <dwalluck@redhat.com> 0:1.0.1-3
- change repolib location for AS5

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:1.0.1-2
- remove get-deps target from build.xml

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:1.0.1-1
- 1.0.1

* Mon Aug 11 2008 David Walluck <dwalluck@redhat.com> 0:1.0-0.rc2.1
- 1.0-RC2

* Wed Jun 06 2007 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.rc1.1jpp
- Initial build
